Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.processor.string
Class CharReplacer

    java.lang.Object
      org.apache.torque.generator.processor.string.CharReplacer

All Implemented Interfaces:
  StringProcessor

Direct Known Subclasses:
  ConstantNameCreator

    public class CharReplacer

extends Object
implements StringProcessor

Replaces characters by a String.

Field Summary
`static String` | `JAVA_CLASSNAME_REPLACEMENT` The String which is usually used as replacement for not allowed characters in java class names.
`static String` | `JAVA_CLASSNAME_SPECIAL_CHARS` Characters which are not allowed in java class names

Constructor Summary
`CharReplacer()`

Method Summary
`String` | `getToReplace()` Returns a String containing all the characters which should be replaced.
`String` | `getToReplaceWith()` Returns the String which are inserted instead of the replaced characters.
`String` | `process(String toProcess)` Replaces all characters in `toProcess` which occur in `toReplace` with `toReplaceWith` and returns the new String
`void` | `setToReplace(String toReplace)` Sets the characters which should be replaced.
`void` | `setToReplaceWith(String toReplaceWith)` Sets the String which are inserted instead of the replaced characters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAVA_CLASSNAME_SPECIAL_CHARS

    public static final String JAVA_CLASSNAME_SPECIAL_CHARS

  Characters which are not allowed in java class names

  See Also:
    Constant Field Values

### JAVA_CLASSNAME_REPLACEMENT

    public static final String JAVA_CLASSNAME_REPLACEMENT

  The String which is usually used as replacement for not allowed characters in java class names.

  See Also:
    Constant Field Values

Constructor Detail

### CharReplacer

    public CharReplacer()

Method Detail

### getToReplace

    public String getToReplace()

  Returns a String containing all the characters which should be replaced.

  Returns:
    the Characters which should be replaced, not null.

### setToReplace

    public void setToReplace(String toReplace)

  Sets the characters which should be replaced.

  Parameters:
    `toReplace` - a String containing all the Characters which should be replaced, not null.

### getToReplaceWith

    public String getToReplaceWith()

  Returns the String which are inserted instead of the replaced characters.

  Returns:
    the replacement, not null.

### setToReplaceWith

    public void setToReplaceWith(String toReplaceWith)

  Sets the String which are inserted instead of the replaced characters.

  Parameters:
    `toReplaceWith` - the replacement, not null.

### process

    public String process(String toProcess)

  Replaces all characters in `toProcess` which occur in `toReplace` with `toReplaceWith` and returns the new String

  Specified by:
    `process` in interface `StringProcessor`
  Parameters:
    `toProcess` - the String in which replacement should occur, not null.
  Returns:
    the processed String, not null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.